class FlagController < Ramaze::Controller
  map '/flags'
  
  # not RESTful, but every http-client can easily store and 
  # retrieve flags by GETting http://$IP/flags/store/$ID/$FLAG 
  # and http://$IP/flags/retrieve/$ID, respectively

  def retrieve(id)
    Flags[id]
  end
  
  def store(id, flag)
    Flags[id] = flag
  end
  
  def error
    # no ma'am
  end

end